View Issue Details

IDProjectCategoryView StatusLast Update
0026030mantisbtcustom fieldspublic2019-12-03 10:46
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.22.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026030: Filter value "none" is not available for multiselection list custom fields
Description

Custom fields of type multiselection list don't show the option to filter on meta value "none", as opposed to other similar types that support it, eg, checkbox.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 1c376741

2019-08-20 21:26:12

cproensa


Committer: vboctor Details Diff
Fix filtering for "none" in multivalued custom fields

- Allows to use the value "none" in custom fields of type multiselection list
- Fix the filter query for searching "none" in mutivalued custom fields
that can be empty. Those are: checkbox and multiselection list.

Fixes: 0021712, 0026030
Affected Issues
0021712, 0026030
mod - core/classes/BugFilterQuery.class.php Diff File
mod - core/filter_form_api.php Diff File

Issue History

Date Modified Username Field Change
2019-08-20 21:40 cproensa New Issue
2019-08-20 21:40 cproensa Status new => assigned
2019-08-20 21:40 cproensa Assigned To => cproensa
2019-08-20 21:45 cproensa Note Added: 0062623
2019-08-27 21:48 vboctor Changeset attached => MantisBT master 1c376741
2019-08-27 21:48 cproensa Status assigned => resolved
2019-08-27 21:48 cproensa Resolution open => fixed
2019-08-27 21:48 cproensa Fixed in Version => 2.23.0
2019-08-27 22:10 vboctor Target Version => 2.23.0